Name:           ocaml-ssl
Version:        0.4.6
Release:        %mkrel 7
Summary:        SSL bindings for OCaml

Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            http://savonet.sourceforge.net/
Source0:        http://downloads.sourceforge.net/savonet/ocaml-ssl-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  openssl-devel
BuildRequires:  gawk
Requires:       openssl

%description
SSL bindings for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       openssl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

# Copy the examples to the docdir.
mkdir -p %{buildroot}%{_docdir}/%{name}-devel-%{version}/examples
cp examples/*.ml %{buildroot}%{_docdir}/%{name}-devel-%{version}/examples


%files
%doc CHANGES COPYING README
%{_libdir}/ocaml/ssl
%exclude %{_libdir}/ocaml/ssl/*.a
%exclude %{_libdir}/ocaml/ssl/*.cmxa
%exclude %{_libdir}/ocaml/ssl/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%{_libdir}/ocaml/ssl/*.a
%{_libdir}/ocaml/ssl/*.cmxa
%{_libdir}/ocaml/ssl/*.mli
%{_docdir}/%{name}-devel-%{version}/


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.6-7.mga3
+ Revision: 361640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.4.6-6.mga3
+ Revision: 324087
- rebuild for new ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.6-5.mga3
+ Revision: 301413
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.4.6-3.mga3
+ Revision: 300414
- new rpm group for ocaml

* Sun Dec 04 2011 malo <malo> 0.4.6-2.mga2
+ Revision: 176047
- spec clean-up
- remove Requires on openssl-devel

* Sun Nov 20 2011 malo <malo> 0.4.6-1.mga2
+ Revision: 169944
- new version 0.4.6
- missing Requires openssl-devel

* Sun Oct 02 2011 shlomif <shlomif> 0.4.5-2.mga2
+ Revision: 151097
- Rebuild for new OCaml - thanks to Malo.

* Wed Sep 21 2011 shlomif <shlomif> 0.4.5-1.mga2
+ Revision: 146509
- Updated to 0.4.5-1 - thanks to Malo

* Fri Apr 08 2011 ennael <ennael> 0.4.4-2.mga1
+ Revision: 82430
- clean spec file
- imported package ocaml-ssl

